Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
DatabaseConfig..::.UseMVCC Field
DatabaseConfig Class See Also Send Feedback

Open the database with support for multiversion concurrency control.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public bool UseMVCC

Visual Basic (Declaration)
    Public UseMVCC As Boolean

Visual C++
    public:
    bool UseMVCC

# Remarks

Enables database updates to follow a copy-on-write protocol, which is required to support snapshot isolation. This setting requires the database to be transactionally protected when it is opened(or, sometimes, at open time). Also, this setting is not supported by the queue format.

# See Also

DatabaseConfig Class
BerkeleyDB Namespace